import request from '@/utils/request'

// 工程监理--现场安全警示标志列表
export function apiSupervisionSafetyWarningSignLists(params: any) {
    return request.get({ url: '/supervision_dangerous.supervision_safety_warning_sign/lists', params })
}

// 添加工程监理--现场安全警示标志
export function apiSupervisionSafetyWarningSignAdd(params: any) {
    return request.post({ url: '/supervision_dangerous.supervision_safety_warning_sign/add', params })
}

// 编辑工程监理--现场安全警示标志
export function apiSupervisionSafetyWarningSignEdit(params: any) {
    return request.post({ url: '/supervision_dangerous.supervision_safety_warning_sign/edit', params })
}

// 删除工程监理--现场安全警示标志
export function apiSupervisionSafetyWarningSignDelete(params: any) {
    return request.post({ url: '/supervision_dangerous.supervision_safety_warning_sign/delete', params })
}

// 工程监理--现场安全警示标志详情
export function apiSupervisionSafetyWarningSignDetail(params: any) {
    return request.get({ url: '/supervision_dangerous.supervision_safety_warning_sign/detail', params })
}